﻿#orgCompound ul {
    white-space: nowrap;
    text-align: center;
    padding: 0px;
    border: 1px solid transparent;
}

.divPreRequisites{
    text-align: center;
}

#orgCompound li {
    margin-top: 60px;
    list-style-type: none;
    position: relative;
    text-align: center;
    vertical-align: top;
    display: inline-block;
}

    #orgCompound li:before {
        content: '';
        position: absolute;
        top: -20px;
        width: 5px;
        height: 25px;
        left: 50%;
        border-left: 1px solid #ccc;
    }

#orgCompound.editingTrack .acceptingDrop {
    background-color: lightgreen;
}

#orgCompound.editingTrack .acceptingDropHover {
    background-color: forestgreen;
}

#orgCompound .internalSubTrack > ul > li {
    margin-top: 25px;
}

    #orgCompound .internalSubTrack > ul > li:before {
        top: -25px;
        height: 20px;
    }

#orgCompound.editingTrack .internalSubTrack > ul > li:before {
    height: 30px;
}

#orgCompound .structSep + li:not(:last-child):before {
    border-top-left-radius: 4px;
}

#orgCompound :not(.structSep) + li:last-child:before {
    left: auto;
    border-left-width: 0px;
    right: 50%;
    border-right: 1px solid #ccc;
    border-top-right-radius: 4px;
}

#orgCompound li:after {
    content: '';
    position: absolute;
    top: -20px;
    width: 100%;
    height: 5px;
    right: auto;
    left: 0px;
    border-top: 1px solid #ccc;
}

#orgCompound .structSep + li:after {
    width: 50%;
    left: 50%;
    border-top-left-radius: 4px;
}

#orgCompound li:last-child:after {
    width: 50%;
    border-top-right-radius: 4px;
}

#orgCompound .structSep + li:last-child:after, #orgCompound .struct.ui-draggable-dragging:after {
    width: 0px;
}

#orgCompound .structSep {
    position: absolute;
    width: 1px;
    height: 45px;
    left: 50%;
    margin-top: -5px;
    border-left: 1px solid #ccc;
}

#orgCompound .internalSubTrack > ul > .structSep {
    height: 0px;
}

#orgCompound > #org > li:before, #orgCompound > #org > .structSep, #orgCompound .structSep:last-child {
    display: none;
}

#orgCompound ul:not(.ulDropLocalHover) .structSep:only-child {
    display: block;
}

    #orgCompound ul:not(.ulDropLocalHover) .structSep:only-child:after {
        content: 'FIM';
        position: absolute;
        color: #000;
        border: 1px solid gray;
        margin-top: 45px;
        margin-left: -25px;
        padding: 10px;
        border-radius: 20px;
    }

#orgCompound .internalSubTrack ul:not(.ulDropLocalHover) .structSep:only-child:after,
#orgCompound .subTrackOrg ul:not(.ulDropLocalHover) .structSep:only-child:after {
    display: none;
}

#orgCompound.editingTrack .internalSubTrack ul:not(.ulDropLocalHover) .structSep:only-child:after,
#orgCompound.editingTrack .subTrackOrg ul:not(.ulDropLocalHover) .structSep:only-child:after {
    display: block;
    content: 'FIM DA SUBTRILHA';
    margin-left: -55px;
    width: 95px;
    height: 15px;
    line-height: 15px;
    font-size: 7pt;
}

#orgCompound .subTrackOrg ul:not(.ulDropLocalHover) li.structReady > ul > .structSep:only-child:after {
    font-size: 7pt;
}

#orgCompound ul:not(.ulDropLocalHover) li.structReady > ul > .structSep:only-child:after {
    background-color: green;
    color: white;
}

#orgCompound .internalSubTrack ul:not(.ulDropLocalHover) li.structReady > ul > .structSep:only-child:after,
#orgCompound .subTrackOrg ul:not(.ulDropLocalHover) li.structReady > ul > .structSep:only-child:after {
    display: none;
}

#orgCompound li .structBox {
    display: inline-block;
    padding: 5px 25px;
    position: relative;
}

#orgCompound .endingLines {
    border: 1px;
    position: absolute;
}

    #orgCompound .endingLines.v {
        border-left: 1px solid lightgray;
        margin-top: -8px;
        padding-top: 8px;
    }

    #orgCompound .endingLines.h {
        border-bottom: 1px solid lightgray;
    }

    #orgCompound .endingLines.v.ready {
        border-left: 1px solid green;
    }

    #orgCompound .endingLines.h.ready {
        border-bottom: 1px solid green;
    }

#orgCompound .endingLinesTo {
    position: absolute;
    width: 100px;
    height: 25px;
    line-height: 25px;
    border: 1px solid gray;
    padding: 5px;
    border-radius: 20px;
    white-space: nowrap;
    background-color: #ECECEC;
    color: gray;
    font-size: 7pt;
}

    #orgCompound .endingLinesTo:after {
        content: '';
        position: absolute;
        top: 100%;
        width: 1px;
        height: 11px;
        right: auto;
        left: 50%;
        border-left: 1px solid lightgray;
    }

    #orgCompound .endingLinesTo.ready:after {
        height: 7px;
        border-left: 1px solid green;
    }

    #orgCompound .endingLinesTo.ready {
        background-color: green;
        color: white;
    }

    #orgCompound .endingLinesTo > span {
        display: none;
    }

    #orgCompound .endingLinesTo.ready > span {
        display: inline-block;
        position: absolute;
        border: 1px solid lightgray;
        border-radius: 12px;
        background-color: white;
        background-position: center center;
        background-size: 16px;
        background-repeat: no-repeat;
        background-image: url('icons/track/enroll-approved.png') !important;
        width: 20px;
        height: 20px;
        margin-top: -20px;
        left: 43px;
    }

#orgCompound ul.ulDropLocal {
    border: 1px dashed #FF0000;
    min-height: 30px;
    min-width: 100px;
}

#orgCompound ul.ulDropLocalHover {
    border-color: #0000FF;
}

#orgCompound .subTrackOrg {
    background-color: white;
    padding-bottom: 50px;
    margin-bottom: 5px;
}

    #orgCompound .subTrackOrg > .structSep, #orgCompound .subTrackOrg > .structSep + li:before {
        display: none;
    }

#orgCompound.running .linkReceived {
    cursor: pointer;
}

#orgCompound.running .subTrackElement {
    white-space: nowrap;
    color: Black;
    position: relative;
    padding: 4px;
}

#orgCompound.editingTrack.trackAsList .addInternalSubTrackButton {
    display: none;
}

#orgCompound.editingTrack.trackAsList .structBox > .baseName {
    display: none;
}

#orgCompound.editingTrack.trackAsList .structBox > .moveNode {
    display: none;
}

#orgCompound.editingTrack.trackAsList .struct.hasOneSubNode > .structBox > .tableIcons .addNodeButton {
    display: none;
}

#orgCompound.editingTrack.trackAsList .structBox.hasOneElement > .tableIcons .addElementButton {
    display: none;
}

#orgCompound.editingTrack.trackAsList .structBox > .deleteNode {
    margin-top: -5px;
}

#orgCompound.editingTrack.trackAsList .element {
    display: block;
}

#orgCompound.running.trackAsList {
    border: 0px;
}

    #orgCompound.running.trackAsList #org {
        width: 100%;
        max-width: 1000px;
        min-width: 800px;
        margin: auto;
        margin-top: 20px;
        border: 0px;
    }

        #orgCompound.running.trackAsList #org .element {
            display: block;
        }

        #orgCompound.running.trackAsList #org ul {
            border: 0px;
        }

        #orgCompound.running.trackAsList #org .struct {
            width: 100%;
            padding: 0px;
        }

        #orgCompound.running.trackAsList #org .structBox {
            display: block;
            padding: 0px;
        }

        #orgCompound.running.trackAsList #org .elements {
            max-width: none;
        }

        #orgCompound.running.trackAsList #org .subTrackOrg {
            padding-bottom: 0px;
        }

        #orgCompound.running.trackAsList #org .elementName {
            white-space: normal;
        }

        #orgCompound.running.trackAsList #org .subTrackElement {
            padding: 0px;
        }

        #orgCompound.running.trackAsList #org .subTrackExpandedView {
            padding: 4px;
        }

        #orgCompound.running.trackAsList #org .elementBoxTable .elTrDeadline {
            background-color: rgba(0, 0, 0, 0.05);
            border: 1px solid #ccc;
            border-bottom: 0;
            border-bottom-left-radius: 4px;
            border-left: 0;
            border-top-right-radius: 4px;
            bottom: 0;
            left: 0;
            padding: 4px 8px;
            position: absolute;
        }

            #orgCompound.running.trackAsList #org .elementBoxTable .elTrDeadline .imgDeadline {
                width: 14px;
                height: 14px;
                background-image: url(icons/Datepicker.png);
                background-repeat: no-repeat;
                background-position-y: center;
            }

        #orgCompound.running.trackAsList #org .elementBoxTable .elementName {
            font-size: 14pt;
            max-width: none;
            margin-bottom: 0.25rem;
        }

        #orgCompound.running.trackAsList #org .elementBoxTable .elDet {
            font-size: 10pt;
            margin-bottom: 0.25rem;
        }

        #orgCompound.running.trackAsList #org .elementBoxTable input.acceptLink {
            font-weight: bold;
            font-size: 10pt;
            width: 120px;
            min-height: 35px;
            -webkit-transition: background-color .3s, box-shadow .5s;
            transition: background-color .3s, box-shadow .5s;
        }

            #orgCompound.running.trackAsList #org .elementBoxTable input.acceptLink:hover {
                opacity: 0.75;
            }

        #orgCompound.running.trackAsList #org .elementBoxTable input.newEnrollButtonSpecial {
            display: block;
            margin: auto;
            margin-top: .5rem;
            -webkit-transition: background-color .3s, box-shadow .5s;
            transition: background-color .3s, box-shadow .5s;
        }

        #orgCompound.running.trackAsList #org .endingLinesTo,
        #orgCompound.running.trackAsList #org .endingLines,
        #orgCompound.running.trackAsList #org .structSep,
        #orgCompound.running.trackAsList #org .expandCollapseStructs,
        #orgCompound.running.trackAsList #org li:after,
        #orgCompound.running.trackAsList #org li:before {
            display: none !important;
        }

        #orgCompound.running.trackAsList #org .acceptLink,
        #orgCompound.running .subTrackAcceptLink {
            display: none;
        }

            #orgCompound.running.trackAsList #org .acceptLink.linkReceived,
            #orgCompound.running .subTrackAcceptLink.linkReceived {
                display: inline-block;
            }
